Yabu.log

色々勉強するブログです。

macOS SierraにEclipseを入れる

インストーラを起動して見たところ警告が表示された。

Java SE 6 ランタイムをインストールする必要があります。

と出たのでAppleのサイトからJavaをインストール

ダウンロード - Java for OS X 2015-001

レガシー用Javaを入れ、再度インストーラを動かすと

Version:1.8 or greater is required.

と表示された。

いじめか?(笑)

とりあえずOracleのサイトからjava9をダウンロード

Java SE Development Kit 9 - Downloads

$ java -version
java version "9.0.1"
Java(TM) SE Runtime Environment (build 9.0.1+11)
Java HotSpot(TM) 64-Bit Server VM (build 9.0.1+11, mixed mode)

インストーラーが動き無事ダウンロードができました(めんどくさ)